# Micro-SCI / Franklin Apple ][ Floppy Drive Controller

This is a clone of the Micro-SCI / Franklin floppy drive controller.

v0.1 is a direct clone, reverse-engineered from a Micro-SCI board.  It was cross-checked with a Franklin-branded board, as well as the (belatedly discovered) official Franklin schematic (included in doc/service_and_schematics.pdf)

v0.2 has the following enhancements over the original design:

* the 2708 EPROM has been replaced with a more-common 2716/2732 EPROM
* decoupling capacitors have been added
* footprints for all capacitors and resistors have been modernized
* firmware EPROM bank selection jumpers replaced with a DIP switch
* obsolete MPS-U51 transistor replaced with modern equivalent
* clearly-marked calibration test points have been added
* ground pours used to increase operational stability
* support for using Floppy Emu in dual-drive emulation mode with one cable

Firmware images can be built via the Makefile in the firmware subdirectory.  The build framework requires cc65.

![usci](usci.png?raw=true "usci")

## EPROM bank select switches (J4)

* 1:off 2:off - controller test firmware (0x0000)
* 1:off 2: on - 16-sector firmware (0x0100)
* 1: on 2:off - 13-sector firmware (0x0200)
* 1: on 2: on - firmware "put jumpers here" splash screen (0x0300)
